import request from '@/utils/request'

// 查询物资供应商列表
export function listMaterialVendor(query) {
  return request({
    url: '/business/materialVendor/list',
    method: 'get',
    params: query
  })
}

// 查询物资供应商列表
export function listMaterialVendorAll(query) {
  return request({
    url: '/business/materialVendor/listAll',
    method: 'get',
    params: query
  })
}

// 查询物资供应商详细
export function getMaterialVendor(id) {
  return request({
    url: '/business/materialVendor/' + id,
    method: 'get'
  })
}

// 新增物资供应商
export function addMaterialVendor(data) {
  return request({
    url: '/business/materialVendor',
    method: 'post',
    data: data
  })
}

// 修改物资供应商
export function updateMaterialVendor(data) {
  return request({
    url: '/business/materialVendor',
    method: 'put',
    data: data
  })
}

// 删除物资供应商
export function delMaterialVendor(id) {
  return request({
    url: '/business/materialVendor/' + id,
    method: 'delete'
  })
}
